busvoodoo_uart_generic_specific_t Struct Reference

UART specific methods that will be called by the generic methods. More...

## Data Fields

uint32_t | usart
| USART peripheral base address.
uint32_t | usart_rcc
| USART RCC address.
uint32_t | usart_rst
| USART RST address.
bool | multidrive
| if multiple drive modes are supported (push-pull, open-drain with internal resistors, open-drain with external resistors), or just push-pull
uint32_t | tx_port
| GPIO port address of transmit pin.
uint32_t | tx_pin
| GPIO pin address of transmit pin.
uint32_t | tx_rcc
| GPIO RCC address of transmit pin.
void(* | tx_pre )(void)
| method to be called before transmitting data
void(* | tx_post )(void)
| method to be called after transmitting data
uint32_t | rx_port
| GPIO port address of receive pin.
uint32_t | rx_pin
| GPIO pin address of receive pin.
uint32_t | rx_rcc
| GPIO RCC address of receive pin.
void(* | rx_pre )(void)
| method to be called before receiving data
void(* | rx_post )(void)
| method to be called after receiving data
bool | hwflowctl
| if RTC/CTS hardware flow control is supported
uint32_t | rts_port
| GPIO port address of request to send pin.
uint32_t | rts_pin
| GPIO pin address of request to send pin.
uint32_t | rts_rcc
| GPIO RCC address of request to send pin.
uint32_t | cts_port
| GPIO port address of clear to send pin.
uint32_t | cts_pin
| GPIO pin address of clear to send pin.
uint32_t | cts_rcc
| GPIO RCC address of clear to send pin.

## Detailed Description

UART specific methods that will be called by the generic methods.

Definition at line 23 of file busvoodoo_uart_generic.h.

The documentation for this struct was generated from the following file:

- lib/busvoodoo_uart_generic.h